grammar Expr {
    # Definition von "Leerzeichen"
    token ws { \s* [ <c_comment> \s* ]? };
    regex c_comment { '/*' .*? '*/' };

    # diese Regel verwendet obige Defintion von ws implizit
    rule TOP { ^ <literal> [ <operator> <literal> ]* }

    token operator { '/' | '*' | '+' | '-' };
    token literal  { \d+ };
};

if Expr.parse('2 /* Kommentar */ +  4') {
    say "funktioniert";
}
