regex price { <num> \s* <currency>  };
token num { \d+ ['.' \d**2 ]?       };
token currency { EUR | USD | '$' | '\x{20ac}' };

my $txt = 'Heute nur 120 EUR!';
if $txt ~~ m/(\w+) \s+ <price> / {
    say 'Werbung gefunden ab Spalte ', $/.from;
    say 'Wort:    ', $/[0];
    say 'Währung: ', $/<price><currency>;
    say 'Zahl:    ', $/<price><num>;
}
