grammar Sum {
    rule TOP {
        ^   <num> '+' <num> {*}
    }

    token num { \d+ {*} }
}

class Sum::Actions {
    method TOP($/) {
        say "in TOP; matched '$/'";
        make $<num>[0].ast + $<num>[1].ast;
    }
    method num($/) {
        say "in num; matched '$/'";
        make +$/
    };
}

Sum.parse('3 + 5', :action(Sum::Actions.new()));
say $/.ast;
